await seam.webhooks.get({ webhook_id: "e5f1b17c-c67d-469d-a860-9510cf814657" });
/*
{
"event_types": [
"device.connected",
"device.disconnected"
],
"secret": "mySecret",
"url": "https://example.com/webhook",
"webhook_id": "e5f1b17c-c67d-469d-a860-9510cf814657"
}
*/{
"webhook": {
"url": "<string>",
"webhook_id": "<string>",
"event_types": [
"<string>"
],
"secret": "<string>"
}
}Webhooks
Get a Webhook
Gets a specified webhook.
GET
/
webhooks
/
get
await seam.webhooks.get({ webhook_id: "e5f1b17c-c67d-469d-a860-9510cf814657" });
/*
{
"event_types": [
"device.connected",
"device.disconnected"
],
"secret": "mySecret",
"url": "https://example.com/webhook",
"webhook_id": "e5f1b17c-c67d-469d-a860-9510cf814657"
}
*/{
"webhook": {
"url": "<string>",
"webhook_id": "<string>",
"event_types": [
"<string>"
],
"secret": "<string>"
}
}Authorizations
api_keypat_with_workspaceconsole_session_with_workspace
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the webhook that you want to get.
Minimum string length:
1Response
OK
Represents a webhook that enables you to receive notifications of events. When you create a webhook, specify the endpoint URL at which you want to receive events and the set of event types that you want to receive. See the webhook object.
Show child attributes
Show child attributes
Was this page helpful?